# Interface RunnableScheduledFuture<V>

Type Parameters:
  `V` - The result type returned by this Future's `get` method

All Superinterfaces:
  `Comparable<Delayed>`, `Delayed`, `Future<V>`, `Runnable`, `RunnableFuture<V>`, `ScheduledFuture<V>`

public interface RunnableScheduledFuture<V> extends RunnableFuture<V>, ScheduledFuture<V>
A `ScheduledFuture` that is `Runnable`. Successful execution of the `run` method causes completion of the `Future` and allows access to its results.

Since:
  1.6
See Also:
  - `FutureTask`
  - `Executor`

## Nested Class Summary

### Nested classes/interfaces declared in interface java.util.concurrent.Future

`Future.State`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPeriodic()`
Returns `true` if this task is periodic.

### Methods declared in interface java.lang.Comparable

`compareTo`

### Methods declared in interface java.util.concurrent.Delayed

`getDelay`

### Methods declared in interface java.util.concurrent.Future

`cancel, exceptionNow, get, get, isCancelled, isDone, resultNow, state`

### Methods declared in interface java.util.concurrent.RunnableFuture

`run`

## Method Details

### isPeriodic

boolean isPeriodic()
Returns `true` if this task is periodic. A periodic task may re-run according to some schedule. A non-periodic task can be run only once.

Returns:
  `true` if this task is periodic